## Preperation
The system was fully updated:
```
sudo apt update
sudo apt upgrade
```
A user was created as a designated PiVPN user. This is not strictly necessary, but I feel it is best. The home dir is set as `/opt/pivpn` because this server's schema designates a directory in `/opt` for each service
```
sudo adduser pivpn --home=/opt/pivpn
```
## Deployment
The installation command was copied from the [PiVPN website](https://pivpn.io/):
```
curl -L https://install.pivpn.io | bash
```
- `eth0` was selected for the IPv4 and IPv6 interface
- Yes was selected for the DHCP reservation(set via router's web interface)
- The user previously created is selected as the designated PiVPN user, this is not strictly necessary, any user will do.
- Wireguard is selected as the VPN, although the process is very similar for OpenVPN
- The default port is likely fine, remember to open the port. Wireguard is strictly UDP, with OpenVPN using both TCP and UDP
- The DNS server selection is personal preference, this is where I selected my Pihole
- The access method was set as the network's WAN IP, I have never used the other options
- Unattended security patches were enabled