# Notes
## Composition of functions
For $(f\circ g)(x)$ for two sets, you look for $x$ from $f$ and an equivalent $y$ value from $g$, and leftover coordinates are the answer. The order of $f$ and $g$ does matter. 
# Formulae
The general equation for a circle:
$$ (x - h)^2 + (y - k)^2 =r $$
Distance formula:
$$ \sqrt{(x_2-x_1)^2 + (y_2-y_1)^2} $$
Midpoint foruma:
$$ (\frac{x_1 + x_2}{2}, \frac{y_1 + y_2}{2}) $$
Adding functions:
$$ (f + g)(x) = f(x) + g(x) $$
Multiplying functions:
$$ (f*g)(x)=f(g(x)) $$

# Examples
Given the function $f = \{(0, 2), (3, -1), (5, 4), (2, 1)\}$, and $g=\{(2, 0), (3, -1), (4, -2), (5, 2)\}$, and applying $(f+g(x)$, If the same $x$ value exists in both the sets $f$ and $g$, then you can solve for that value by adding $y$ values for the matching x coordinates together. 


# Terminology

| Term | Definition |
|--|--|
| $h$ | How far left or right something is shifted from the origin |
| $k$| How far up or down something is shifted from the origin |
| $r$ | The radius of a circle |
